Skip to main content

Get Input Status

Retrieve the status of an input connector.

Path Parameters
pipeline_name string REQUIRED

Unique pipeline name

table_name string REQUIRED

Unique table name

connector_name string REQUIRED

Unique input connector name

Responses
200

Input connector status retrieved successfully

Schema OPTIONAL
barrier boolean

Endpoint is currently a barrier to checkpointing and suspend.

completed_frontier object OPTIONAL

A watermark that has been fully processed by the pipeline.

completed_at date-time

Timestamp when all outputs produced from this input have been pushed to all output endpoints.

ingested_at date-time

Timestamp when the data was ingested from the wire.

metadata object

Metadata that describes the position in the input stream (e.g., Kafka partition/offset pairs).

processed_at date-time

Timestamp when the data was processed by the circuit.

config object

Schema definition for endpoint config that only includes the stream field.

stream string

The name of the stream.

endpoint_name string

Endpoint name.

fatal_error string OPTIONAL

The first fatal error that occurred at the endpoint.

health object OPTIONAL
description string OPTIONAL
status string

Possible values: [Healthy, Unhealthy]

metrics object

Performance metrics for an input endpoint.

buffered_bytes int64

Number of bytes currently buffered by the endpoint (not yet consumed by the circuit).

buffered_records int64

Number of records currently buffered by the endpoint (not yet consumed by the circuit).

end_of_input boolean

True if end-of-input has been signaled.

num_parse_errors int64

Number of parse errors.

num_transport_errors int64

Number of transport errors.

total_bytes int64

Total bytes pushed to the endpoint since it was created.

total_records int64

Total records pushed to the endpoint since it was created.

parse_errors object[] OPTIONAL

Recent parse errors on this endpoint.

index int64

Sequence number of the error.

The client can use this field to detect gaps in the error list reported by the pipeline. When the connector reports a large number of errors, the pipeline will only preserve and report the most recent errors of each kind.

message string

Error message.

tag string OPTIONAL

Optional tag for the error.

The tag is used to group errors by their type.

timestamp date-time

Timestamp when the error occurred, serialized as RFC3339 with microseconds.

paused boolean

Endpoint has been paused by the user.

transport_errors object[] OPTIONAL

Recent transport errors on this endpoint.

index int64

Sequence number of the error.

The client can use this field to detect gaps in the error list reported by the pipeline. When the connector reports a large number of errors, the pipeline will only preserve and report the most recent errors of each kind.

message string

Error message.

tag string OPTIONAL

Optional tag for the error.

The tag is used to group errors by their type.

timestamp date-time

Timestamp when the error occurred, serialized as RFC3339 with microseconds.

404

Pipeline, table and/or input connector with that name does not exist

Schema OPTIONAL
details

Detailed error metadata. The contents of this field is determined by error_code.

error_code string

Error code is a string that specifies this error type.

message string

Human-readable error message.

500
Schema OPTIONAL
details

Detailed error metadata. The contents of this field is determined by error_code.

error_code string

Error code is a string that specifies this error type.

message string

Human-readable error message.

503
Schema OPTIONAL
details

Detailed error metadata. The contents of this field is determined by error_code.

error_code string

Error code is a string that specifies this error type.

message string

Human-readable error message.